Skip to main content
`Ctrl`+`K`

# PetscIsCloseAtTolScalar

Like `PetscIsCloseAtTol()` but for `PetscScalar`

## Synopsis

    static inline PetscBool PetscIsCloseAtTolScalar(PetscScalar lhs, PetscScalar rhs, PetscReal rtol, PetscReal atol)

## Input Parameters

- lhs - The first number

- rhs - The second number

- rtol - The relative tolerance

- atol - The absolute tolerance

## Note

This routine is equivalent to `PetscIsCloseAtTol()` when PETSc is configured without complex numbers.

## See Also

`PetscIsCloseAtTol()`

## Level

beginner

## Location

include/petscmath.h

## Examples

src/vec/vec/tutorials/ex9.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages